package com.library.model;

import java.math.BigDecimal;
import java.sql.Timestamp;

/**
 * Created by Administrator on 2018\11\23 0023.
 */
public class OrderModel {

    /**
     * gid : 1
     * create_time : Nov 16, 2018 5:31:06 PM
     * user_name : 赶紧改名字
     * paygo_time : Nov 23, 2018 10:12:05 AM
     * order_number : 456b5f7e-916e-b222-8604-0dbcc41dbf72
     * del_status : false
     * pay_money : 1.0
     * spid : 35
     * pay_way : 微信支付
     * pay_time : Nov 20, 2018 4:15:07 PM
     * paygo_remark : 阿萨德
     * money : 1.0
     * user_id : 39
     * phone : 066301180
     * id : 121
     * state : true
     */

    private int gid;
    private Timestamp create_time;
    private String user_name;
    private Timestamp paygo_time;
    private String order_number;    //订单编号
    private int del_status;     //删除状态 0未删除 1删除
    private int spid;
    private String pay_way;
    private Timestamp pay_time;
    private String paygo_remark;
    private BigDecimal money;       //	 订单充值的金额价格 （美元）
    private BigDecimal pay_money;   //   支付金额（人民币）
    private int user_id;
    private String phone;
    private int id;
    private int state;      //支付结果1.待支付，2支付成功(系统处理中） 3.充值成功 4充值失败(人工处理)
    private String top_up_num;

    public String getTop_up_num() {
        return top_up_num;
    }

    public void setTop_up_num(String top_up_num) {
        this.top_up_num = top_up_num;
    }

    public int getGid() {
        return gid;
    }

    public void setGid(int gid) {
        this.gid = gid;
    }

    public Timestamp getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Timestamp create_time) {
        this.create_time = create_time;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public Timestamp getPaygo_time() {
        return paygo_time;
    }

    public void setPaygo_time(Timestamp paygo_time) {
        this.paygo_time = paygo_time;
    }

    public String getOrder_number() {
        return order_number;
    }

    public void setOrder_number(String order_number) {
        this.order_number = order_number;
    }

    public int getDel_status() {
        return del_status;
    }

    public void setDel_status(int del_status) {
        this.del_status = del_status;
    }

    public BigDecimal getPay_money() {
        return pay_money;
    }

    public void setPay_money(BigDecimal pay_money) {
        this.pay_money = pay_money;
    }

    public int getSpid() {
        return spid;
    }

    public void setSpid(int spid) {
        this.spid = spid;
    }

    public String getPay_way() {
        return pay_way;
    }

    public void setPay_way(String pay_way) {
        this.pay_way = pay_way;
    }

    public Timestamp getPay_time() {
        return pay_time;
    }

    public void setPay_time(Timestamp pay_time) {
        this.pay_time = pay_time;
    }

    public String getPaygo_remark() {
        return paygo_remark;
    }

    public void setPaygo_remark(String paygo_remark) {
        this.paygo_remark = paygo_remark;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }
}
